Subject: [Rserpool] comments on draft-ietf-rserpool-asap-02.txt

From: Harrie Hazewinkel <[email-masked]>
Date: Sat, 30 Mar 2002 16:38:48 +0100

Hi,

Some comments on draft-ietf-rserpool-asap-02.txt.

I saw over the complete document some weird usage of text.
For instance, 'this discussion', this will be a document
that needs to define the outcomes of such as discussion.
I also do not comment on all bits, since I understood there
will be soon a new revision of the darft.

Some main items.

--- Abstract
Is quit long and has for instance reference that should be
deleted.

--- Section 1.1 Definitions
The are already definitions in the architecture draft.
I suggest, deleting the definitions which are duplicate.
I also see a lot of ENRP specific definitions that I
did not see in the enrp-draft, odd. :-))
Some maybe needed since they are ASAP specific.

--- Section 3.1 ASAP Parameter Formats
I do not see the need for including the 4 bytes that are
representing the parameter type and length in the value
that is placed in the parameter length.
(Equal to ENRP).

---
IMHO, if the highest-order two bits specify the action
that must be taken if the processing endpoint does
not recognize the Parameter Type, these values should not
be included in the TYPE. I suggest a seperation of these
bits into a different flags field.

Harrie

Internet Management Consulting
tel: +39-3474932300 / +31-625357135
mailto: [email-masked]                  http://www.lisanza.net/
Key fingerprint = F232 4B68 2B89 3ED7 FF41  F892 BCC9 CE9C 2F6D 51D7

Harrie

Internet Management Consulting
tel: +39-3474932300 / +31-625357135
mailto: [email-masked]                   http://www.lisanza.net/
Key fingerprint = F232 4B68 2B89 3ED7 FF41  F892 BCC9 CE9C 2F6D 51D7

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool